<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Terminal</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="canonical" href="https://terminal.heck.app/">
<link rel="stylesheet" href="//heck.app/style.css">
<link rel="stylesheet" href="terminal.css">
<link rel="icon" href="terminal.svg" type="image/svg+xml" sizes="any">
<style>
#terminal {
	margin-top: 2ch;
	margin-left: auto;
	margin-right: auto;
}
</style>
<script src="//heck.app/heck.js"></script>
<script src="terminal.js"></script>
<script>
function init() {
	heck("Terminal");
	var term = new Terminal("terminal");
	term.oninput = function() {
		var data = term.read();
		if (data == 0x08) {
			term.BS();
			term.write(" ".charCodeAt(0));
			term.BS();
		} else if (data == 0x0a) {
			term.CR();
			term.NL();
		} else {
			term.write(data);
		}
	};
}
</script>
</head>
<body onload="init();">
<div id="terminal" tabindex="0"></div>
</body>
</html>
